Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.common
Class ProxyResourceContext

    java.lang.Object
      com.bea.wsrp.consumer.management.common.ProxyResourceContext

    public class ProxyResourceContext

extends Object

A context to hold hints and other information related to managing proxy resources. The following table describes the interaction of ProxyResourceAction and ProxyResourceActionScope on a "create" call -

| PRIMARY | ALL
ACCEPT_LOCAL_PROXY_RESOURCE | Local primary is used | Local primary is used
ACCEPT_REMOTE_PROXY_RESOURCE | Delete current primary and use remote in its place. Exception thrown if primary is in use. | Delete all and and use remote as the primary. Exception thrown if any resource is in use.
ACCEPT_REMOTE_PROXY_RESOURCE_FORCE | Same as ACCEPT_REMOTE_PROXY_RESOURCE except no exception thrown. | Same as ACCEPT_REMOTE_PROXY_RESOURCE except no exception thrown.
CREATE_NEW_PROXY_RESOURCE | New version is created | New version is created

Nested Class Summary
`static class` | `ProxyResourceContext.ProxyResourceAction` Defines options to use when managing a proxy resource.
`static class` | `ProxyResourceContext.ProxyResourceActionScope` If multiple versions of a resource already exist when creating a new resource, `ProxyResourceActionScope` defines whether the selected `ProxyResourceAction` applies to `ALL` resources or only the resource marked `primary`.

Constructor Summary
`ProxyResourceContext()` Default no-arg ctor.
`ProxyResourceContext(ProxyResourceContext.ProxyResourceAction proxyResourceAction)` Ctor that takes a `ProxyResourceAction`
`ProxyResourceContext(ProxyResourceContext.ProxyResourceAction proxyResourceAction, ProxyResourceContext.ProxyResourceActionScope proxyResourceActionScope)` Ctor that takes a `ProxyResourceAction` and `ProxyResourceActionScope`

Method Summary
`ProxyResourceContext.ProxyResourceAction` | `getProxyResourceAction()` Returns `ProxyResourceAction`
`ProxyResourceContext.ProxyResourceActionScope` | `getProxyResourceActionScope()` Returns `ProxyResourceActionScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyResourceContext

    public ProxyResourceContext()

  Default no-arg ctor. ProxyResourceAction defaults to #CREATE_NEW_PROXY_RESOURCE and ProxyResourceActionScope defaults to #ALL

### ProxyResourceContext

    public ProxyResourceContext(ProxyResourceContext.ProxyResourceAction proxyResourceAction)

  Ctor that takes a `ProxyResourceAction`

  Parameters
    `proxyResourceAction` -

### ProxyResourceContext

    public ProxyResourceContext(ProxyResourceContext.ProxyResourceAction proxyResourceAction,
                                ProxyResourceContext.ProxyResourceActionScope proxyResourceActionScope)

  Ctor that takes a `ProxyResourceAction` and `ProxyResourceActionScope`

  Parameters
    `proxyResourceAction` -
    `proxyResourceActionScope` -

Method Detail

### getProxyResourceAction

    public ProxyResourceContext.ProxyResourceAction getProxyResourceAction()

  Returns `ProxyResourceAction`

  Returns
    `ProxyResourceAction`

### getProxyResourceActionScope

    public ProxyResourceContext.ProxyResourceActionScope getProxyResourceActionScope()

  Returns `ProxyResourceActionScope`

  Returns
    `ProxyResourceActionScope`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.